Beladed Docs
Help Sign in Create account

Beladed Livestream API

Event - Create - Eventbrite

beta

Event - Create - Eventbrite through the reviewed Beladed Livestream contract.

POST/api/video/event/create
curl --request POST 'https://api.beladed.dev/api/video/event/create' \
  --header 'Accept: application/json' \
  --header 'Content-Type: application/json' \
  --header 'X-Beladed-API-Key: BELADED_SECRET_KEY' \
  --data '{
  "options": {
    "providerName": "eventbrite",
    "providerId": "",
    "apiKey": "BELADED_CREDENTIAL",
    "apiSecret": "BELADED_CREDENTIAL",
    "apiClientId": null,
    "authToken": null,
    "server": null,
    "rtmpUrl": null,
    "streamKey": null,
    "channelUrl": null,
    "authUsername": null,
    "uniqueKey": "example_uniquekey",
    "videoId": "id_demo_001",
    "channelId": "id_demo_001",
    "streamId": "id_demo_001",
    "ipAddress": null,
    "country": "United States",
    "state": "California",
    "title": "Fortune's Basketball Challenge",
    "description": "Basketball game featuring amazing plays and challenges.",
    "tags": "basketball,game,challenge"
  },
  "details": {
    "channelId": "id_demo_001",
    "videoId": "id_demo_001",
    "title": "Fortune's Basketball Challenge",
    "description": "Basketball game featuring amazing plays and challenges.",
    "tags": "basketball,game,challenge",
    "streamType": "Live",
    "searchType": "Game",
    "started": true,
    "startedOn": "2024-02-24T22:41:42.483Z",
    "paused": false,
    "pausedOn": "2024-02-24T22:41:42.483Z",
    "stopped": false,
    "stoppedOn": null,
    "streamId": "id_demo_001",
    "channel": "Fortune's Basketball Channel",
    "category": "Board",
    "categoryId": "id_demo_001",
    "subCategory": "Outdoor Party",
    "subCategoryId": "id_demo_001",
    "scheduleDate": "2024-02-01",
    "scheduleTime": "18:00:00",
    "streamHours": 1,
    "coverPhotoUrl": "basketball-cover-url.jpg",
    "providerPlaybackUrl": "",
    "voteTokenQuantity": 100,
    "votingTimeReset": "5",
    "voteButtonQuantity": 4,
    "voteButtonText1": "Layup",
    "voteButtonText2": "Dunk",
    "isRewardsEnabled": false,
    "isTournamentEnabled": true,
    "tournamentButtonText1": "Hit",
    "tournamentButtonText2": "Miss",
    "streamLocatorName": "basketball-locator-name",
    "streamAssetName": "basketball-asset-name",
    "platformVideoIds": {
      "youtubeOutputId": false,
      "twitchOutputId": false,
      "instagramOutputId": false,
      "tiktokOutputId": false,
      "facebookOutputId": false,
      "vimeoOutputId": false,
      "periscopeOutputId": false,
      "linkedInOutputId": false,
      "brightcoveOutputId": false,
      "twitterOutputId": false,
      "dailymotionOutputId": false,
      "kickOutputId": false,
      "rumbleOutputId": false,
      "trovoOutputId": false,
      "restreamPlaybackUrl": false,
      "telegramOutputId": false,
      "amazonLiveOutputId": false,
      "dLiveOutputId": false,
      "mixCloudOutputId": false,
      "kakaoTVOutputId": false,
      "naverTVOutputId": false,
      "nimoTVOutputId": false,
      "nonoLiveOutputId": false,
      "huyaOutputId": false,
      "zhanquiTVOutputId": false,
      "bilibiliOutputId": false,
      "afreecaTVOutputId": false,
      "mlgOutputId": false,
      "douyuOutputId": false,
      "liveEduOutputId": false,
      "vaughnLiveOutputId": false,
      "breakersTVOutputId": false,
      "picartoTVOutputId": false,
      "fc2LiveOutputId": false,
      "steamOutputId": false
    },
    "platformEventIds": {
      "facebookGroupEventId": false,
      "facebookPageEventId": false,
      "linkedInEventId": false,
      "youtubeEventId": false,
      "eventBrightEventId": false,
      "meetupEventId": false,
      "calendlyEventId": false,
      "googleEventId": false,
      "twitterEventId": false,
      "instagramEventId": false,
      "redditEventId": false,
      "telegramEventId": false,
      "tiktokEventId": false,
      "pinterestEventId": false,
      "wordpressEventId": false,
      "discordEventId": false,
      "mediumEventId": false,
      "tumblrEventId": false,
      "wixEventId": false
    },
    "primaryCameraName": "Sony 4K Ultra HD WebCam",
    "primaryMicrophoneName": "tel_demo_contact",
    "primarySpeakerName": "Bose-Mega-Speaker 2.0",
    "additionalCameras": [
      {
        "camera": "camera-2",
        "microphone": "tel_demo_contact"
      },
      {
        "camera": "camera-3",
        "microphone": "tel_demo_contact"
      }
    ],
    "createdDate": "2024-02-18",
    "createdTime": "14:54:25",
    "updatedDate": "2024-02-24",
    "updatedTime": "23:29:19",
    "deletedDate": null,
    "deletedTime": null
  }
}'

Parameters

This operation has no documented parameters.

Request body

Requestapplication/json
Schema
{
  "type": "object",
  "properties": {
    "options": {
      "type": "object",
      "properties": {
        "providerName": {
          "type": "string"
        },
        "providerId": {
          "type": "string"
        },
        "apiKey": {
          "type": "string"
        },
        "apiSecret": {
          "type": "string"
        },
        "apiClientId": {
          "type": "string"
        },
        "authToken": {
          "type": "string"
        },
        "server": {
          "type": "string"
        },
        "rtmpUrl": {
          "type": "string"
        },
        "streamKey": {
          "type": "string"
        },
        "channelUrl": {
          "type": "string"
        },
        "authUsername": {
          "type": "string"
        },
        "uniqueKey": {
          "type": "string"
        },
        "videoId": {
          "type": "string"
        },
        "channelId": {
          "type": "string"
        },
        "streamId": {
          "type": "string"
        },
        "ipAddress": {
          "type": "string"
        },
        "country": {
          "type": "string"
        },
        "state": {
          "type": "string"
        },
        "title": {
          "type": "string"
        },
        "description": {
          "type": "string"
        },
        "tags": {
          "type": "string"
        }
      }
    },
    "details": {
      "type": "object",
      "properties": {
        "channelId": {
          "type": "string"
        },
        "videoId": {
          "type": "string"
        },
        "title": {
          "type": "string"
        },
        "description": {
          "type": "string"
        },
        "tags": {
          "type": "string"
        },
        "streamType": {
          "type": "string"
        },
        "searchType": {
          "type": "string"
        },
        "started": {
          "type": "boolean"
        },
        "startedOn": {
          "type": "string"
        },
        "paused": {
          "type": "boolean"
        },
        "pausedOn": {
          "type": "string"
        },
        "stopped": {
          "type": "boolean"
        },
        "stoppedOn": {
          "type": "string"
        },
        "streamId": {
          "type": "string"
        },
        "channel": {
          "type": "string"
        },
        "category": {
          "type": "string"
        },
        "categoryId": {
          "type": "string"
        },
        "subCategory": {
          "type": "string"
        },
        "subCategoryId": {
          "type": "string"
        },
        "scheduleDate": {
          "type": "string"
        },
        "scheduleTime": {
          "type": "string"
        },
        "streamHours": {
          "type": "integer"
        },
        "coverPhotoUrl": {
          "type": "string"
        },
        "providerPlaybackUrl": {
          "type": "string"
        },
        "voteTokenQuantity": {
          "type": "integer"
        },
        "votingTimeReset": {
          "type": "string"
        },
        "voteButtonQuantity": {
          "type": "integer"
        },
        "voteButtonText1": {
          "type": "string"
        },
        "voteButtonText2": {
          "type": "string"
        },
        "isRewardsEnabled": {
          "type": "boolean"
        },
        "isTournamentEnabled": {
          "type": "boolean"
        },
        "tournamentButtonText1": {
          "type": "string"
        },
        "tournamentButtonText2": {
          "type": "string"
        },
        "streamLocatorName": {
          "type": "string"
        },
        "streamAssetName": {
          "type": "string"
        },
        "platformVideoIds": {
          "type": "object",
          "properties": {
            "youtubeOutputId": {
              "type": "boolean"
            },
            "twitchOutputId": {
              "type": "boolean"
            },
            "instagramOutputId": {
              "type": "boolean"
            },
            "tiktokOutputId": {
              "type": "boolean"
            },
            "facebookOutputId": {
              "type": "boolean"
            },
            "vimeoOutputId": {
              "type": "boolean"
            },
            "periscopeOutputId": {
              "type": "boolean"
            },
            "linkedInOutputId": {
              "type": "boolean"
            },
            "brightcoveOutputId": {
              "type": "boolean"
            },
            "twitterOutputId": {
              "type": "boolean"
            },
            "dailymotionOutputId": {
              "type": "boolean"
            },
            "kickOutputId": {
              "type": "boolean"
            },
            "rumbleOutputId": {
              "type": "boolean"
            },
            "trovoOutputId": {
              "type": "boolean"
            },
            "restreamPlaybackUrl": {
              "type": "boolean"
            },
            "telegramOutputId": {
              "type": "boolean"
            },
            "amazonLiveOutputId": {
              "type": "boolean"
            },
            "dLiveOutputId": {
              "type": "boolean"
            },
            "mixCloudOutputId": {
              "type": "boolean"
            },
            "kakaoTVOutputId": {
              "type": "boolean"
            },
            "naverTVOutputId": {
              "type": "boolean"
            },
            "nimoTVOutputId": {
              "type": "boolean"
            },
            "nonoLiveOutputId": {
              "type": "boolean"
            },
            "huyaOutputId": {
              "type": "boolean"
            },
            "zhanquiTVOutputId": {
              "type": "boolean"
            },
            "bilibiliOutputId": {
              "type": "boolean"
            },
            "afreecaTVOutputId": {
              "type": "boolean"
            },
            "mlgOutputId": {
              "type": "boolean"
            },
            "douyuOutputId": {
              "type": "boolean"
            },
            "liveEduOutputId": {
              "type": "boolean"
            },
            "vaughnLiveOutputId": {
              "type": "boolean"
            },
            "breakersTVOutputId": {
              "type": "boolean"
            },
            "picartoTVOutputId": {
              "type": "boolean"
            },
            "fc2LiveOutputId": {
              "type": "boolean"
            },
            "steamOutputId": {
              "type": "boolean"
            }
          }
        },
        "platformEventIds": {
          "type": "object",
          "properties": {
            "facebookGroupEventId": {
              "type": "boolean"
            },
            "facebookPageEventId": {
              "type": "boolean"
            },
            "linkedInEventId": {
              "type": "boolean"
            },
            "youtubeEventId": {
              "type": "boolean"
            },
            "eventBrightEventId": {
              "type": "boolean"
            },
            "meetupEventId": {
              "type": "boolean"
            },
            "calendlyEventId": {
              "type": "boolean"
            },
            "googleEventId": {
              "type": "boolean"
            },
            "twitterEventId": {
              "type": "boolean"
            },
            "instagramEventId": {
              "type": "boolean"
            },
            "redditEventId": {
              "type": "boolean"
            },
            "telegramEventId": {
              "type": "boolean"
            },
            "tiktokEventId": {
              "type": "boolean"
            },
            "pinterestEventId": {
              "type": "boolean"
            },
            "wordpressEventId": {
              "type": "boolean"
            },
            "discordEventId": {
              "type": "boolean"
            },
            "mediumEventId": {
              "type": "boolean"
            },
            "tumblrEventId": {
              "type": "boolean"
            },
            "wixEventId": {
              "type": "boolean"
            }
          }
        },
        "primaryCameraName": {
          "type": "string"
        },
        "primaryMicrophoneName": {
          "type": "string"
        },
        "primarySpeakerName": {
          "type": "string"
        },
        "additionalCameras": {
          "type": "array",
          "items": {
            "type": "object",
            "properties": {
              "camera": {
                "type": "string"
              },
              "microphone": {
                "type": "string"
              }
            }
          }
        },
        "createdDate": {
          "type": "string"
        },
        "createdTime": {
          "type": "string"
        },
        "updatedDate": {
          "type": "string"
        },
        "updatedTime": {
          "type": "string"
        },
        "deletedDate": {
          "type": "string"
        },
        "deletedTime": {
          "type": "string"
        }
      }
    }
  }
}
{
  "options": {
    "providerName": "eventbrite",
    "providerId": "",
    "apiKey": "BELADED_CREDENTIAL",
    "apiSecret": "BELADED_CREDENTIAL",
    "apiClientId": null,
    "authToken": null,
    "server": null,
    "rtmpUrl": null,
    "streamKey": null,
    "channelUrl": null,
    "authUsername": null,
    "uniqueKey": "example_uniquekey",
    "videoId": "id_demo_001",
    "channelId": "id_demo_001",
    "streamId": "id_demo_001",
    "ipAddress": null,
    "country": "United States",
    "state": "California",
    "title": "Fortune's Basketball Challenge",
    "description": "Basketball game featuring amazing plays and challenges.",
    "tags": "basketball,game,challenge"
  },
  "details": {
    "channelId": "id_demo_001",
    "videoId": "id_demo_001",
    "title": "Fortune's Basketball Challenge",
    "description": "Basketball game featuring amazing plays and challenges.",
    "tags": "basketball,game,challenge",
    "streamType": "Live",
    "searchType": "Game",
    "started": true,
    "startedOn": "2024-02-24T22:41:42.483Z",
    "paused": false,
    "pausedOn": "2024-02-24T22:41:42.483Z",
    "stopped": false,
    "stoppedOn": null,
    "streamId": "id_demo_001",
    "channel": "Fortune's Basketball Channel",
    "category": "Board",
    "categoryId": "id_demo_001",
    "subCategory": "Outdoor Party",
    "subCategoryId": "id_demo_001",
    "scheduleDate": "2024-02-01",
    "scheduleTime": "18:00:00",
    "streamHours": 1,
    "coverPhotoUrl": "basketball-cover-url.jpg",
    "providerPlaybackUrl": "",
    "voteTokenQuantity": 100,
    "votingTimeReset": "5",
    "voteButtonQuantity": 4,
    "voteButtonText1": "Layup",
    "voteButtonText2": "Dunk",
    "isRewardsEnabled": false,
    "isTournamentEnabled": true,
    "tournamentButtonText1": "Hit",
    "tournamentButtonText2": "Miss",
    "streamLocatorName": "basketball-locator-name",
    "streamAssetName": "basketball-asset-name",
    "platformVideoIds": {
      "youtubeOutputId": false,
      "twitchOutputId": false,
      "instagramOutputId": false,
      "tiktokOutputId": false,
      "facebookOutputId": false,
      "vimeoOutputId": false,
      "periscopeOutputId": false,
      "linkedInOutputId": false,
      "brightcoveOutputId": false,
      "twitterOutputId": false,
      "dailymotionOutputId": false,
      "kickOutputId": false,
      "rumbleOutputId": false,
      "trovoOutputId": false,
      "restreamPlaybackUrl": false,
      "telegramOutputId": false,
      "amazonLiveOutputId": false,
      "dLiveOutputId": false,
      "mixCloudOutputId": false,
      "kakaoTVOutputId": false,
      "naverTVOutputId": false,
      "nimoTVOutputId": false,
      "nonoLiveOutputId": false,
      "huyaOutputId": false,
      "zhanquiTVOutputId": false,
      "bilibiliOutputId": false,
      "afreecaTVOutputId": false,
      "mlgOutputId": false,
      "douyuOutputId": false,
      "liveEduOutputId": false,
      "vaughnLiveOutputId": false,
      "breakersTVOutputId": false,
      "picartoTVOutputId": false,
      "fc2LiveOutputId": false,
      "steamOutputId": false
    },
    "platformEventIds": {
      "facebookGroupEventId": false,
      "facebookPageEventId": false,
      "linkedInEventId": false,
      "youtubeEventId": false,
      "eventBrightEventId": false,
      "meetupEventId": false,
      "calendlyEventId": false,
      "googleEventId": false,
      "twitterEventId": false,
      "instagramEventId": false,
      "redditEventId": false,
      "telegramEventId": false,
      "tiktokEventId": false,
      "pinterestEventId": false,
      "wordpressEventId": false,
      "discordEventId": false,
      "mediumEventId": false,
      "tumblrEventId": false,
      "wixEventId": false
    },
    "primaryCameraName": "Sony 4K Ultra HD WebCam",
    "primaryMicrophoneName": "tel_demo_contact",
    "primarySpeakerName": "Bose-Mega-Speaker 2.0",
    "additionalCameras": [
      {
        "camera": "camera-2",
        "microphone": "tel_demo_contact"
      },
      {
        "camera": "camera-3",
        "microphone": "tel_demo_contact"
      }
    ],
    "createdDate": "2024-02-18",
    "createdTime": "14:54:25",
    "updatedDate": "2024-02-24",
    "updatedTime": "23:29:19",
    "deletedDate": null,
    "deletedTime": null
  }
}

Responses

200The request succeeded.
Responseapplication/json
Schema
{
  "type": "object",
  "properties": {
    "data": {
      "type": "object",
      "properties": {
        "id": {
          "type": "string"
        },
        "status": {
          "type": "string"
        }
      }
    },
    "requestId": {
      "type": "string"
    }
  }
}
{
  "data": {
    "id": "id_demo_001",
    "status": "available"
  },
  "requestId": "req_demo_001"
}

Errors

400invalid_request

The request did not satisfy the documented contract.

401authentication_required

The credential is missing or invalid.

403not_authorized

The account, product scope, permission, or origin is not eligible.

404not_found

The requested public or account-owned resource was not found.

429rate_limited

Retry after the current product limit resets.

Reliability

Idempotency
No public Idempotency-Key guarantee is declared; use a stable client reference and confirm resource state before retrying.
Pagination
Not applicable.
Rate limit
Subject to current account, product, and abuse-protection limits. Honor Retry-After when returned.
Webhook events
No related public event is declared.

Contract provenance

This operation is published from reviewed repository contracts. Source metadata is included for traceability without exposing internal implementation details.

Route owner
../beladed-api-cloudflare/src/functions/video.js
Handler owner
../beladed-api-cloudflare/src/functions/core/VideoEvent.js
Verified
2026-07-11
Type to search the complete public documentation catalog.